namespace GreadyPoang.Services;

public class PopupEventHub : IPopupEventHub
{
    public event EventHandler<PopupCloseEventArgs>? InfoPopupCloseRequested;

    public void RaiseInfoPopupClose(string popupId)
    {
        InfoPopupCloseRequested?.Invoke(this, new PopupCloseEventArgs(popupId));
    }

}
